> For the complete documentation index, see [llms.txt](https://docs.cronos.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cronos.com/cronos-chain-protocol/module_overview/module-account-addresses.md).

# Module Account Addresses

The module accounts can be found in Cronos EVM Mainnet and Testnet in below addresses:

<table><thead><tr><th width="228.380126953125">Contract Name</th><th>Address</th><th>Note</th></tr></thead><tbody><tr><td>bonded_tokens_pool</td><td>0x4FEA76427B8345861E80A3540A8A9D936FD39391</td><td>Holds all the validator tokens for voting power.</td></tr><tr><td>not_bonded_tokens_pool</td><td>0x5911B844D7BC224654FE0DCD16BABD2D253F2FDF</td><td>Holds unbonding validator tokens during the unbonding period.</td></tr><tr><td>mint</td><td>0xDC6F17BBEC824FFF8F86587966B2047DB6AB7367</td><td>Mints block inflation; N/A on Cronos EVM as no inflation or minting on Cronos EVM.</td></tr><tr><td>fee_collector</td><td>0xF1829676DB577682E944FC3493D451B67FF3E29F</td><td>Collects transaction fees and new inflation each block; swept by <code>x/distribution</code> next block, therefore usually empty.</td></tr><tr><td>distribution</td><td>0x93354845030274CD4BF1686ABD60AB28EC52E1A7</td><td>Holds community pool, unclaimed delegator rewards, and validator commissions.</td></tr><tr><td>gov</td><td>0x7B5FE22B5446F7C62EA27B8BD71CEF94E03F3DF2</td><td>Escrows proposal deposits; burns them on no-with-veto. Authority for <code>MsgUpdateParams</code>.</td></tr><tr><td>transfer</td><td>0x27F576CAFBB263ED44BE8BD094F66114DA268777</td><td>IBC ICS-20 module. Escrows native CRO on outbound; mints <code>ibc/vouchers</code> on inbound.</td></tr><tr><td>interchainaccounts</td><td>0x67D77474CA8E3A5812DE323A28D7C6DA6B3E4F29</td><td>ICA host module. Enables remote chains register interchain accounts on Cronos via IBC.</td></tr><tr><td>evm</td><td>0x603871C2DDD41C26EE77495E2E31E6DE7F9957E0</td><td>Ethermint <code>x/evm</code> module. Transient mint/burn during EVM tx execution for balances and gas refunds.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.cronos.com/cronos-chain-protocol/module_overview/module-account-addresses.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
